package market.Slm.ContractManagement.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Slm.ContractManagement.mapper.SlmContractLineInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CONTRACT_LINE_INFO", namespace=SlmContractLineInfoMapper.class)
public class SlmContractLineInfo extends BaseVO implements Serializable {
	/**
	 * 合同行信息
	 */
	private static final long serialVersionUID = 743176955366738556L;
	@Id
	//合同行号
	private String contract_line_no;
	public String  getContract_line_no() {
		return this.contract_line_no;
	}
	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	@Column
	//合同行序号
	private String contract_line_seq;
	public String  getContract_line_seq() {
		return this.contract_line_seq;
	}
	public void setContract_line_seq(String contract_line_seq) {
		this.contract_line_seq = contract_line_seq;
	}

	@Column
	//合同头主键
	private String contract_pk;
	public String  getContract_pk() {
		return this.contract_pk;
	}
	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	@Column
	//合同号
	private String contract_no;
	public String  getContract_no() {
		return this.contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	@Column
	//产品规范码编号
	private String psc;
	public String  getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	@Column
	//产品规范码名称
	private String psc_desc;
	public String  getPsc_desc() {
		return this.psc_desc;
	}
	public void setPsc_desc(String psc_desc) {
		this.psc_desc = psc_desc;
	}

	@Column
	//冶金规范码编号
	private String msc;
	public String  getMsc() {
		return this.msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	@Column
	//冶金规范码名称
	private String msc_desc;
	public String  getMsc_desc() {
		return this.msc_desc;
	}
	public void setMsc_desc(String msc_desc) {
		this.msc_desc = msc_desc;
	}

	@Column
	//冶金规范类型编号（0019）
	private String msc_type_no;
	public String  getMsc_type_no() {
		return this.msc_type_no;
	}
	public void setMsc_type_no(String msc_type_no) {
		this.msc_type_no = msc_type_no;
	}

	@Column
	//冶金规范类型名称
	private String msc_type_name;
	public String  getMsc_type_name() {
		return this.msc_type_name;
	}
	public void setMsc_type_name(String msc_type_name) {
		this.msc_type_name = msc_type_name;
	}

	@Column
	//用途码编号
	private String use_code;
	public String  getUse_code() {
		return this.use_code;
	}
	public void setUse_code(String use_code) {
		this.use_code = use_code;
	}

	@Column
	//用途码名称
	private String use_desc;
	public String  getUse_desc() {
		return this.use_desc;
	}
	public void setUse_desc(String use_desc) {
		this.use_desc = use_desc;
	}

	@Column
	//品种分类编号
	private String prod_cls_no;
	public String  getProd_cls_no() {
		return this.prod_cls_no;
	}
	public void setProd_cls_no(String prod_cls_no) {
		this.prod_cls_no = prod_cls_no;
	}

	@Column
	//品种分类名称
	private String prod_cls_name;
	public String  getProd_cls_name() {
		return this.prod_cls_name;
	}
	public void setProd_cls_name(String prod_cls_name) {
		this.prod_cls_name = prod_cls_name;
	}

	@Column
	//品名代码
	private String prod_code;
	public String  getProd_code() {
		return this.prod_code;
	}
	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}

	@Column
	//品名名称
	private String prod_name;
	public String  getProd_name() {
		return this.prod_name;
	}
	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	@Column
	//标准代码
	private String std_code;
	public String  getStd_code() {
		return this.std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	@Column
	//标准名称
	private String std_name;
	public String  getStd_name() {
		return this.std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	@Column
	//钢级(牌号)代码
	private String steel_code;
	public String  getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	@Column
	//钢级(牌号)名称
	private String steel_name;
	public String  getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	@Column
	//标准类别代码
	private String std_type_no;
	public String  getStd_type_no() {
		return this.std_type_no;
	}
	public void setStd_type_no(String std_type_no) {
		this.std_type_no = std_type_no;
	}

	@Column
	//标准类别名称
	private String std_type_name;
	public String  getStd_type_name() {
		return this.std_type_name;
	}
	public void setStd_type_name(String std_type_name) {
		this.std_type_name = std_type_name;
	}

	@Column
	//产品形态编号
	private String prod_figure_no;
	public String  getProd_figure_no() {
		return this.prod_figure_no;
	}
	public void setProd_figure_no(String prod_figure_no) {
		this.prod_figure_no = prod_figure_no;
	}

	@Column
	//产品形态名称
	private String prod_figure_name;
	public String  getProd_figure_name() {
		return this.prod_figure_name;
	}
	public void setProd_figure_name(String prod_figure_name) {
		this.prod_figure_name = prod_figure_name;
	}

	@Column
	//合同量
	private Double contract_quantity;
	public Double  getContract_quantity() {
		return this.contract_quantity;
	}
	public void setContract_quantity(Double contract_quantity) {
		this.contract_quantity = contract_quantity;
	}

	@Column
	//估算重量
	private Double estimate_weight;
	public Double  getEstimate_weight() {
		return this.estimate_weight;
	}
	public void setEstimate_weight(Double estimate_weight) {
		this.estimate_weight = estimate_weight;
	}
	
	@Column
	//估算重量计量单位编号
	private String estimate_weight_unit_no;
	
	@Column
	//估算重量计量单位名称
	private String estimate_weight_unit_name;

	@Column
	//保总长
	private Double ensu_total_len;
	public Double  getEnsu_total_len() {
		return this.ensu_total_len;
	}
	public void setEnsu_total_len(Double ensu_total_len) {
		this.ensu_total_len = ensu_total_len;
	}

	@Column
	//交货量差方式
	private String delivery_weight_type;
	public String  getDelivery_weight_type() {
		return this.delivery_weight_type;
	}
	public void setDelivery_weight_type(String delivery_weight_type) {
		this.delivery_weight_type = delivery_weight_type;
	}

	@Column
	//交货量误差上限
	private Double delivery_error_max;
	public Double  getDelivery_error_max() {
		return this.delivery_error_max;
	}
	public void setDelivery_error_max(Double delivery_error_max) {
		this.delivery_error_max = delivery_error_max;
	}

	@Column
	//交货量误差下限
	private Double delivery_error_min;
	public Double  getDelivery_error_min() {
		return this.delivery_error_min;
	}
	public void setDelivery_error_min(Double delivery_error_min) {
		this.delivery_error_min = delivery_error_min;
	}
	
	@Column
	//计量单位编号
	private String delivery_unit_no;
	
	@Column
	//计量单位编号
	private String delivery_unit_name;

	@Column
	//计量单位编号（0020）
	private String quantity_unit_no;
	public String  getQuantity_unit_no() {
		return this.quantity_unit_no;
	}
	public void setQuantity_unit_no(String quantity_unit_no) {
		this.quantity_unit_no = quantity_unit_no;
	}

	@Column
	//计量单位名称
	private String quantity_unit_name;
	public String  getQuantity_unit_name() {
		return this.quantity_unit_name;
	}
	public void setQuantity_unit_name(String quantity_unit_name) {
		this.quantity_unit_name = quantity_unit_name;
	}

	@Column
	//计重方式编号（0021）
	private String weight_type_no;
	public String  getWeight_type_no() {
		return this.weight_type_no;
	}
	public void setWeight_type_no(String weight_type_no) {
		this.weight_type_no = weight_type_no;
	}

	@Column
	//计重方式名称
	private String weight_type_name;
	public String  getWeight_type_name() {
		return this.weight_type_name;
	}
	public void setWeight_type_name(String weight_type_name) {
		this.weight_type_name = weight_type_name;
	}

	@Column
	//单重
	private Double single_weight;
	public Double  getSingle_weight() {
		return this.single_weight;
	}
	public void setSingle_weight(Double single_weight) {
		this.single_weight = single_weight;
	}

	@Column
	//单重上限
	private Double single_weight_max;
	public Double  getSingle_weight_max() {
		return this.single_weight_max;
	}
	public void setSingle_weight_max(Double single_weight_max) {
		this.single_weight_max = single_weight_max;
	}

	@Column
	//单重下限
	private Double single_weight_min;
	public Double  getSingle_weight_min() {
		return this.single_weight_min;
	}
	public void setSingle_weight_min(Double single_weight_min) {
		this.single_weight_min = single_weight_min;
	}

	@Column
	//计量单位编号（0020）
	private String single_weight_unit_no;
	public String  getSingle_weight_unit_no() {
		return this.single_weight_unit_no;
	}
	public void setSingle_weight_unit_no(String single_weight_unit_no) {
		this.single_weight_unit_no = single_weight_unit_no;
	}

	@Column
	//计量单位名称
	private String single_weight_unit_name;
	public String  getSingle_weight_unit_name() {
		return this.single_weight_unit_name;
	}
	public void setSingle_weight_unit_name(String single_weight_unit_name) {
		this.single_weight_unit_name = single_weight_unit_name;
	}

	@Column
	//单长
	private Double single_length;
	public Double  getSingle_length() {
		return this.single_length;
	}
	public void setSingle_length(Double single_length) {
		this.single_length = single_length;
	}

	@Column
	//单长上限
	private Double single_length_max;
	public Double  getSingle_length_max() {
		return this.single_length_max;
	}
	public void setSingle_length_max(Double single_length_max) {
		this.single_length_max = single_length_max;
	}

	@Column
	//单长下限
	private Double single_length_min;
	public Double  getSingle_length_min() {
		return this.single_length_min;
	}
	public void setSingle_length_min(Double single_length_min) {
		this.single_length_min = single_length_min;
	}

	@Column
	//合同支数/块
	private Double cnt_number;
	public Double  getCnt_number() {
		return this.cnt_number;
	}
	public void setCnt_number(Double cnt_number) {
		this.cnt_number = cnt_number;
	}

	@Column
	//订货价(牌价)（含税） 原为order_price
	private Double order_price1;

	@Column
	//出厂价
	private Double out_price;
	public Double  getOut_price() {
		return this.out_price;
	}
	public void setOut_price(Double out_price) {
		this.out_price = out_price;
	}

	@Column
	//结算价
	private Double balnce_price;
	public Double  getBalnce_price() {
		return this.balnce_price;
	}
	public void setBalnce_price(Double balnce_price) {
		this.balnce_price = balnce_price;
	}

	@Column
	//运费
	private Double trade_price;
	public Double  getTrade_price() {
		return this.trade_price;
	}
	public void setTrade_price(Double trade_price) {
		this.trade_price = trade_price;
	}

	@Column
	//吊装费
	private Double hoist_price;
	public Double  getHoist_price() {
		return this.hoist_price;
	}
	public void setHoist_price(Double hoist_price) {
		this.hoist_price = hoist_price;
	}

	@Column
	//测算价
	private Double measure_price;
	public Double  getMeasure_price() {
		return this.measure_price;
	}
	public void setMeasure_price(Double measure_price) {
		this.measure_price = measure_price;
	}

	@Column
	//测算序号
	private String measure_no;
	public String  getMeasure_no() {
		return this.measure_no;
	}
	public void setMeasure_no(String measure_no) {
		this.measure_no = measure_no;
	}
	
	@Column
	//运输方案
	private String solutions_no;
	
	@Column
	//运输方案名称
	private String solutions_name;
	
	@Column
	//外购中间品 1:可以；0：不可以
	private String is_buy_semi_finished;
	
	@Column
	//外购成品 1:可以；0：不可以
	private String is_buy_finished;

	@Column
	//定尺方式编号（0023）
	private String fixed_length_type_no;
	public String  getFixed_length_type_no() {
		return this.fixed_length_type_no;
	}
	public void setFixed_length_type_no(String fixed_length_type_no) {
		this.fixed_length_type_no = fixed_length_type_no;
	}

	@Column
	//定尺方式名称
	private String fixed_length_type_name;
	public String  getFixed_length_type_name() {
		return this.fixed_length_type_name;
	}
	public void setFixed_length_type_name(String fixed_length_type_name) {
		this.fixed_length_type_name = fixed_length_type_name;
	}

	@Column
	//切边方式编号（0028）
	private String cut_edge_type_no;
	public String  getCut_edge_type_no() {
		return this.cut_edge_type_no;
	}
	public void setCut_edge_type_no(String cut_edge_type_no) {
		this.cut_edge_type_no = cut_edge_type_no;
	}

	@Column
	//切边方式名称
	private String cut_edge_type_name;
	public String  getCut_edge_type_name() {
		return this.cut_edge_type_name;
	}
	public void setCut_edge_type_name(String cut_edge_type_name) {
		this.cut_edge_type_name = cut_edge_type_name;
	}

	@Column
	//内径
	private Double diameter_inn;
	public Double  getDiameter_inn() {
		return this.diameter_inn;
	}
	public void setDiameter_inn(Double diameter_inn) {
		this.diameter_inn = diameter_inn;
	}

	@Column
	//内径上限
	private Double diameter_inn_max;
	public Double  getDiameter_inn_max() {
		return this.diameter_inn_max;
	}
	public void setDiameter_inn_max(Double diameter_inn_max) {
		this.diameter_inn_max = diameter_inn_max;
	}

	@Column
	//内径下限
	private Double diameter_inn_min;
	public Double  getDiameter_inn_min() {
		return this.diameter_inn_min;
	}
	public void setDiameter_inn_min(Double diameter_inn_min) {
		this.diameter_inn_min = diameter_inn_min;
	}

	@Column
	//计量单位编号（0020）
	private String diameter_inn_unit_no;
	public String  getDiameter_inn_unit_no() {
		return this.diameter_inn_unit_no;
	}
	public void setDiameter_inn_unit_no(String diameter_inn_unit_no) {
		this.diameter_inn_unit_no = diameter_inn_unit_no;
	}

	@Column
	//计量单位名称
	private String diameter_inn_unit_name;
	public String  getDiameter_inn_unit_name() {
		return this.diameter_inn_unit_name;
	}
	public void setDiameter_inn_unit_name(String diameter_inn_unit_name) {
		this.diameter_inn_unit_name = diameter_inn_unit_name;
	}

	@Column
	//其他不可量化规格
	private String spec_other;
	public String  getSpec_other() {
		return this.spec_other;
	}
	public void setSpec_other(String spec_other) {
		this.spec_other = spec_other;
	}

	@Column
	//直径(外径)
	private Double diameter_out;
	public Double  getDiameter_out() {
		return this.diameter_out;
	}
	public void setDiameter_out(Double diameter_out) {
		this.diameter_out = diameter_out;
	}

	@Column
	//直径上限
	private Double diameter_out_max;
	public Double  getDiameter_out_max() {
		return this.diameter_out_max;
	}
	public void setDiameter_out_max(Double diameter_out_max) {
		this.diameter_out_max = diameter_out_max;
	}

	@Column
	//直径下限
	private Double diameter_out_min;
	public Double  getDiameter_out_min() {
		return this.diameter_out_min;
	}
	public void setDiameter_out_min(Double diameter_out_min) {
		this.diameter_out_min = diameter_out_min;
	}

	@Column
	//计量单位编号（0020）
	private String diameter_out_unit_no;
	public String  getDiameter_out_unit_no() {
		return this.diameter_out_unit_no;
	}
	public void setDiameter_out_unit_no(String diameter_out_unit_no) {
		this.diameter_out_unit_no = diameter_out_unit_no;
	}

	@Column
	//计量单位名称
	private String diameter_out_unit_name;
	public String  getDiameter_out_unit_name() {
		return this.diameter_out_unit_name;
	}
	public void setDiameter_out_unit_name(String diameter_out_unit_name) {
		this.diameter_out_unit_name = diameter_out_unit_name;
	}

	@Column
	//厚(壁厚)
	private Double thick;
	public Double  getThick() {
		return this.thick;
	}
	public void setThick(Double thick) {
		this.thick = thick;
	}

	@Column
	//厚度上限
	private Double thick_max;
	public Double  getThick_max() {
		return this.thick_max;
	}
	public void setThick_max(Double thick_max) {
		this.thick_max = thick_max;
	}

	@Column
	//厚度下限
	private Double thick_min;
	public Double  getThick_min() {
		return this.thick_min;
	}
	public void setThick_min(Double thick_min) {
		this.thick_min = thick_min;
	}

	@Column
	//计量单位编号（0020）
	private String thick_unit_no;
	public String  getThick_unit_no() {
		return this.thick_unit_no;
	}
	public void setThick_unit_no(String thick_unit_no) {
		this.thick_unit_no = thick_unit_no;
	}

	@Column
	//计量单位名称
	private String thick_unit_name;
	public String  getThick_unit_name() {
		return this.thick_unit_name;
	}
	public void setThick_unit_name(String thick_unit_name) {
		this.thick_unit_name = thick_unit_name;
	}

	@Column
	//宽
	private Double width;
	public Double  getWidth() {
		return this.width;
	}
	public void setWidth(Double width) {
		this.width = width;
	}

	@Column
	//宽度上限
	private Double width_max;
	public Double  getWidth_max() {
		return this.width_max;
	}
	public void setWidth_max(Double width_max) {
		this.width_max = width_max;
	}

	@Column
	//宽度下限
	private Double width_min;
	public Double  getWidth_min() {
		return this.width_min;
	}
	public void setWidth_min(Double width_min) {
		this.width_min = width_min;
	}

	@Column
	//计量单位编号（0020）
	private String width_unit_no;
	public String  getWidth_unit_no() {
		return this.width_unit_no;
	}
	public void setWidth_unit_no(String width_unit_no) {
		this.width_unit_no = width_unit_no;
	}

	@Column
	//计量单位名称
	private String width_unit_name;
	public String  getWidth_unit_name() {
		return this.width_unit_name;
	}
	public void setWidth_unit_name(String width_unit_name) {
		this.width_unit_name = width_unit_name;
	}

	@Column
	//长度编号
	private String lengt_no;
	public String  getLengt_no() {
		return this.lengt_no;
	}
	public void setLengt_no(String lengt_no) {
		this.lengt_no = lengt_no;
	}

	@Column
	//长
	private Double length;
	public Double  getLength() {
		return this.length;
	}
	public void setLength(Double length) {
		this.length = length;
	}

	@Column
	//长度下限
	private Double length_max;
	public Double  getLength_max() {
		return this.length_max;
	}
	public void setLength_max(Double length_max) {
		this.length_max = length_max;
	}

	@Column
	//长度上限
	private Double length_min;
	public Double  getLength_min() {
		return this.length_min;
	}
	public void setLength_min(Double length_min) {
		this.length_min = length_min;
	}

	@Column
	//计量单位编号（0020）
	private String length_unit_no;
	public String  getLength_unit_no() {
		return this.length_unit_no;
	}
	public void setLength_unit_no(String length_unit_no) {
		this.length_unit_no = length_unit_no;
	}

	@Column
	//计量单位名称
	private String length_unit_name;
	public String  getLength_unit_name() {
		return this.length_unit_name;
	}
	public void setLength_unit_name(String length_unit_name) {
		this.length_unit_name = length_unit_name;
	}
	
	@Column
	//壁厚
	private Double wall_thick;
	
	@Column
	//壁厚上限
	private Double wall_thick_max;
	
	@Column
	//壁厚下限
	private Double wall_thick_min;
	
	@Column
	//计量单位名称
	private Double wall_thick_unit_no;
	
	@Column
	//计量单位名称
	private Double wall_thick_unit_name;

	@Column
	//短尺率(%)
	private Double short_ruler_ratio;
	public Double  getShort_ruler_ratio() {
		return this.short_ruler_ratio;
	}
	public void setShort_ruler_ratio(Double short_ruler_ratio) {
		this.short_ruler_ratio = short_ruler_ratio;
	}

	@Column
	//短尺最短
	private Double short_ruler_length;
	public Double  getShort_ruler_length() {
		return this.short_ruler_length;
	}
	public void setShort_ruler_length(Double short_ruler_length) {
		this.short_ruler_length = short_ruler_length;
	}

	@Column
	//计量单位编号（0020）
	private String short_ruler_unit_no;
	public String  getShort_ruler_unit_no() {
		return this.short_ruler_unit_no;
	}
	public void setShort_ruler_unit_no(String short_ruler_unit_no) {
		this.short_ruler_unit_no = short_ruler_unit_no;
	}

	@Column
	//计量单位名称
	private String short_ruler_unit_name;
	public String  getShort_ruler_unit_name() {
		return this.short_ruler_unit_name;
	}
	public void setShort_ruler_unit_name(String short_ruler_unit_name) {
		this.short_ruler_unit_name = short_ruler_unit_name;
	}

	@Column
	//长尺率(%)
	private Double long_ruler_ratio;
	public Double  getLong_ruler_ratio() {
		return this.long_ruler_ratio;
	}
	public void setLong_ruler_ratio(Double long_ruler_ratio) {
		this.long_ruler_ratio = long_ruler_ratio;
	}

	@Column
	//长尺最长
	private Double long_ruler_length;
	public Double  getLong_ruler_length() {
		return this.long_ruler_length;
	}
	public void setLong_ruler_length(Double long_ruler_length) {
		this.long_ruler_length = long_ruler_length;
	}

	@Column
	//计量单位编号（0020）
	private String long_ruler_unit_no;
	public String  getLong_ruler_unit_no() {
		return this.long_ruler_unit_no;
	}
	public void setLong_ruler_unit_no(String long_ruler_unit_no) {
		this.long_ruler_unit_no = long_ruler_unit_no;
	}

	@Column
	//计量单位名称
	private String long_ruler_unit_name;
	public String  getLong_ruler_unit_name() {
		return this.long_ruler_unit_name;
	}
	public void setLong_ruler_unit_name(String long_ruler_unit_name) {
		this.long_ruler_unit_name = long_ruler_unit_name;
	}

	@Column
	//短尺随炉
	private String is_together;
	public String  getIs_together() {
		return this.is_together;
	}
	public void setIs_together(String is_together) {
		this.is_together = is_together;
	}

	@Column
	//平均长度大于
	private Double out_average_length;
	public Double  getOut_average_length() {
		return this.out_average_length;
	}
	public void setOut_average_length(Double out_average_length) {
		this.out_average_length = out_average_length;
	}

	@Column
	//计量单位编号（0020）
	private String average_length_unit_no;
	public String  getAverage_length_unit_no() {
		return this.average_length_unit_no;
	}
	public void setAverage_length_unit_no(String average_length_unit_no) {
		this.average_length_unit_no = average_length_unit_no;
	}

	@Column
	//计量单位名称
	private String average_length_unit_name;
	public String  getAverage_length_unit_name() {
		return this.average_length_unit_name;
	}
	public void setAverage_length_unit_name(String average_length_unit_name) {
		this.average_length_unit_name = average_length_unit_name;
	}

	@Column
	//最长最短差小于
	private Double long_and_short;
	public Double  getLong_and_short() {
		return this.long_and_short;
	}
	public void setLong_and_short(Double long_and_short) {
		this.long_and_short = long_and_short;
	}

	@Column
	//计量单位编号（0020）
	private String las_unit_no;
	public String  getLas_unit_no() {
		return this.las_unit_no;
	}
	public void setLas_unit_no(String las_unit_no) {
		this.las_unit_no = las_unit_no;
	}

	@Column
	//计量单位名称
	private String las_unit_name;
	public String  getLas_unit_name() {
		return this.las_unit_name;
	}
	public void setLas_unit_name(String las_unit_name) {
		this.las_unit_name = las_unit_name;
	}

	@Column
	//成品公差
	private Double tolerance;
	public Double  getTolerance() {
		return this.tolerance;
	}
	public void setTolerance(Double tolerance) {
		this.tolerance = tolerance;
	}

	@Column
	//计量单位编号（0020）
	private String tolerance_unit_no;
	public String  getTolerance_unit_no() {
		return this.tolerance_unit_no;
	}
	public void setTolerance_unit_no(String tolerance_unit_no) {
		this.tolerance_unit_no = tolerance_unit_no;
	}

	@Column
	//计量单位名称
	private String tolerance_unit_name;
	public String  getTolerance_unit_name() {
		return this.tolerance_unit_name;
	}
	public void setTolerance_unit_name(String tolerance_unit_name) {
		this.tolerance_unit_name = tolerance_unit_name;
	}

	@Column
	//单倍尺长
	private Double single_ruler_length;
	public Double  getSingle_ruler_length() {
		return this.single_ruler_length;
	}
	public void setSingle_ruler_length(Double single_ruler_length) {
		this.single_ruler_length = single_ruler_length;
	}

	@Column
	//计量单位编号（0020）
	private String srl_unit_no;
	public String  getSrl_unit_no() {
		return this.srl_unit_no;
	}
	public void setSrl_unit_no(String srl_unit_no) {
		this.srl_unit_no = srl_unit_no;
	}

	@Column
	//计量单位名称
	private String srl_unit_name;
	public String  getSrl_unit_name() {
		return this.srl_unit_name;
	}
	public void setSrl_unit_name(String srl_unit_name) {
		this.srl_unit_name = srl_unit_name;
	}

	@Column
	//扣型代码
	private String model_code;
	public String  getModel_code() {
		return this.model_code;
	}
	public void setModel_code(String model_code) {
		this.model_code = model_code;
	}

	@Column
	//扣型名称
	private String model_name;
	public String  getModel_name() {
		return this.model_name;
	}
	public void setModel_name(String model_name) {
		this.model_name = model_name;
	}

	@Column
	//最终用户编号
	private String user_no;
	public String  getUser_no() {
		return this.user_no;
	}
	public void setUser_no(String user_no) {
		this.user_no = user_no;
	}

	@Column
	//最终用户名称
	private String user_name;
	public String  getUser_name() {
		return this.user_name;
	}
	public void setUser_name(String user_name) {
		this.user_name = user_name;
	}

	@Column
	//附加要求编码
	private String add_ask_no;
	public String  getAdd_ask_no() {
		return this.add_ask_no;
	}
	public void setAdd_ask_no(String add_ask_no) {
		this.add_ask_no = add_ask_no;
	}

	@Column
	//附加要求描述
	private String add_ask_desc;
	public String  getAdd_ask_desc() {
		return this.add_ask_desc;
	}
	public void setAdd_ask_desc(String add_ask_desc) {
		this.add_ask_desc = add_ask_desc;
	}

	@Column
	//客户Alpha编号
	private String customer_alpha_no;
	public String  getCustomer_alpha_no() {
		return this.customer_alpha_no;
	}
	public void setCustomer_alpha_no(String customer_alpha_no) {
		this.customer_alpha_no = customer_alpha_no;
	}

	@Column
	//客户Alpha描述
	private String customer_alpha_desc;
	public String  getCustomer_alpha_desc() {
		return this.customer_alpha_desc;
	}
	public void setCustomer_alpha_desc(String customer_alpha_desc) {
		this.customer_alpha_desc = customer_alpha_desc;
	}

	@Column
	//前合同行状态编号（0026）
	private String p_line_flag_no;
	public String  getP_line_flag_no() {
		return this.p_line_flag_no;
	}
	public void setP_line_flag_no(String p_line_flag_no) {
		this.p_line_flag_no = p_line_flag_no;
	}
	
	@Column
	//前合同行状态名称
	private String p_line_flag_name;
	public String  getP_line_flag_name() {
		return this.p_line_flag_name;
	}
	public void setP_line_flag_name(String p_line_flag_name) {
		this.p_line_flag_name = p_line_flag_name;
	}

	@Column
	//合同行状态编号（0026）编辑、技术评审中、技术评审通过、技术评审退回、（价格评审中、价格评审通过、价格评审退回、主管审批通过、主管审批退回、经理审批通过、经理审批退回、合同生效）待审批、审批中、生效、结案、注销
	private String line_flag_no;
	public String  getLine_flag_no() {
		return this.line_flag_no;
	}
	public void setLine_flag_no(String line_flag_no) {
		this.line_flag_no = line_flag_no;
	}

	@Column
	//合同行状态名称
	private String line_flag_name;
	public String  getLine_flag_name() {
		return this.line_flag_name;
	}
	public void setLine_flag_name(String line_flag_name) {
		this.line_flag_name = line_flag_name;
	}

	@Column
	//锁定状态
	private String is_lock;
	public String  getIs_lock() {
		return this.is_lock;
	}
	public void setIs_lock(String is_lock) {
		this.is_lock = is_lock;
	}

	@Column
	//是否指定产线
	private String is_prod_line;
	public String  getIs_prod_line() {
		return this.is_prod_line;
	}
	public void setIs_prod_line(String is_prod_line) {
		this.is_prod_line = is_prod_line;
	}
	
	@Column
	//交货状态编号
	private String delivery_state_code;
	
	@Column
	//交货状态
	private String delivery_state_desc;
	
	@Column
	//是否含税
	private String is_tax;
	
	@Column
	//税率
	private Double tax_rate; 
	
	@Column
	//订货价(牌价) 不含税
	private Double order_price2;
	
	@Column
	//交货量误差率
	private Double delivery_error_rate;
	
	@Column
	//币种编号
	private String currency_no;
	
	@Column
	//币种
	private String currency_name;

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//有效标志
	private String valid_flag;
	public String  getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}
	

	@Column
	//创建人编号
	private String create_man_no;
	public String  getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	@Column
	//创建人姓名
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人编号
	private String update_man_no;
	public String  getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	@Column
	//修改人姓名
	private String update_man_name;
	public String  getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人编号
	private String delete_man_no;
	public String  getDelete_man_no() {
		return this.delete_man_no;
	}
	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	@Column
	//删除人姓名
	private String delete_man_name;
	public String  getDelete_man_name() {
		return this.delete_man_name;
	}
	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	
	@Column
	//精度类型代码（COM_BASE_INFO.SORT_CODE='4112'）
	private String precisicon_type_code;
	
	@Column
	//精度类型名称（COM_BASE_INFO.SORT_CODE='4112'）
	private String precisicon_type_desc;
	
	@Column
	//精度等级代码(4041)
	private String lv_code;
	
	@Column
	//精度等级名称(4041)
	private String lv_desc;
	
	//是否有订单 1有 0无
	private String have_order;
	
	//重量是否已全部新增订单 用于合同行颜色展示  0 白色  1绿色 2 黄色 3橙色
	private String finish_status;
	
	private List<SlmContractLineLv> lv_list;
	
	private String customer_no;
	
	private String customer_name;
	
	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	public void setEstimate_weight_unit_no(String estimate_weight_unit_no) {
		this.estimate_weight_unit_no = estimate_weight_unit_no;
	}
	public String getEstimate_weight_unit_no() {
		return estimate_weight_unit_no;
	}
	public void setEstimate_weight_unit_name(String estimate_weight_unit_name) {
		this.estimate_weight_unit_name = estimate_weight_unit_name;
	}
	public String getEstimate_weight_unit_name() {
		return estimate_weight_unit_name;
	}
	public void setDelivery_unit_no(String delivery_unit_no) {
		this.delivery_unit_no = delivery_unit_no;
	}
	public String getDelivery_unit_no() {
		return delivery_unit_no;
	}
	public void setDelivery_unit_name(String delivery_unit_name) {
		this.delivery_unit_name = delivery_unit_name;
	}
	public String getDelivery_unit_name() {
		return delivery_unit_name;
	}
	public String getDelivery_state_code() {
		return delivery_state_code;
	}
	public void setDelivery_state_code(String deliveryStateCode) {
		delivery_state_code = deliveryStateCode;
	}
	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}
	public void setDelivery_state_desc(String deliveryStateDesc) {
		delivery_state_desc = deliveryStateDesc;
	}
	public String getIs_buy_semi_finished() {
		return is_buy_semi_finished;
	}
	public void setIs_buy_semi_finished(String isBuySemiFinished) {
		is_buy_semi_finished = isBuySemiFinished;
	}
	public String getIs_buy_finished() {
		return is_buy_finished;
	}
	public void setIs_buy_finished(String isBuyFinished) {
		is_buy_finished = isBuyFinished;
	}
	public void setSolutions_no(String solutions_no) {
		this.solutions_no = solutions_no;
	}
	public String getSolutions_no() {
		return solutions_no;
	}
	public void setSolutions_name(String solutions_name) {
		this.solutions_name = solutions_name;
	}
	public String getSolutions_name() {
		return solutions_name;
	}
	public Double getOrder_price1() {
		return order_price1;
	}
	public void setOrder_price1(Double orderPrice1) {
		order_price1 = orderPrice1;
	}
	public String getIs_tax() {
		return is_tax;
	}
	public void setIs_tax(String isTax) {
		is_tax = isTax;
	}
	public Double getTax_rate() {
		return tax_rate;
	}
	public void setTax_rate(Double taxRate) {
		tax_rate = taxRate;
	}
	public Double getOrder_price2() {
		return order_price2;
	}
	public void setOrder_price2(Double orderPrice2) {
		order_price2 = orderPrice2;
	}
	public Double getDelivery_error_rate() {
		return delivery_error_rate;
	}
	public void setDelivery_error_rate(Double deliveryErrorRate) {
		delivery_error_rate = deliveryErrorRate;
	}
	public String getCurrency_no() {
		return currency_no;
	}
	public void setCurrency_no(String currencyNo) {
		currency_no = currencyNo;
	}
	public String getCurrency_name() {
		return currency_name;
	}
	public void setCurrency_name(String currencyName) {
		currency_name = currencyName;
	}
	public String getCustomer_no() {
		return customer_no;
	}
	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}
	public String getCustomer_name() {
		return customer_name;
	}
	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}
	public Double getWall_thick() {
		return wall_thick;
	}
	public void setWall_thick(Double wall_thick) {
		this.wall_thick = wall_thick;
	}
	public Double getWall_thick_max() {
		return wall_thick_max;
	}
	public void setWall_thick_max(Double wall_thick_max) {
		this.wall_thick_max = wall_thick_max;
	}
	public Double getWall_thick_min() {
		return wall_thick_min;
	}
	public void setWall_thick_min(Double wall_thick_min) {
		this.wall_thick_min = wall_thick_min;
	}
	public Double getWall_thick_unit_no() {
		return wall_thick_unit_no;
	}
	public void setWall_thick_unit_no(Double wall_thick_unit_no) {
		this.wall_thick_unit_no = wall_thick_unit_no;
	}
	public Double getWall_thick_unit_name() {
		return wall_thick_unit_name;
	}
	public void setWall_thick_unit_name(Double wall_thick_unit_name) {
		this.wall_thick_unit_name = wall_thick_unit_name;
	}
	public String getHave_order() {
		return have_order;
	}
	public void setHave_order(String have_order) {
		this.have_order = have_order;
	}
	public String getFinish_status() {
		return finish_status;
	}
	public void setFinish_status(String finish_status) {
		this.finish_status = finish_status;
	}
	public String getPrecisicon_type_code() {
		return precisicon_type_code;
	}
	public void setPrecisicon_type_code(String precisicon_type_code) {
		this.precisicon_type_code = precisicon_type_code;
	}
	public String getPrecisicon_type_desc() {
		return precisicon_type_desc;
	}
	public void setPrecisicon_type_desc(String precisicon_type_desc) {
		this.precisicon_type_desc = precisicon_type_desc;
	}
	public String getLv_code() {
		return lv_code;
	}
	public void setLv_code(String lv_code) {
		this.lv_code = lv_code;
	}
	public String getLv_desc() {
		return lv_desc;
	}
	public void setLv_desc(String lv_desc) {
		this.lv_desc = lv_desc;
	}
	public List<SlmContractLineLv> getLv_list() {
		return lv_list;
	}
	public void setLv_list(List<SlmContractLineLv> lv_list) {
		this.lv_list = lv_list;
	}
	@Column
	//包装要求编码
	private String pk_ask_code;
	
	@Column
	//包装要求描述
	private String pk_ask_desc;
	public String getPk_ask_code() {
		return pk_ask_code;
	}
	public void setPk_ask_code(String pk_ask_code) {
		this.pk_ask_code = pk_ask_code;
	}
	public String getPk_ask_desc() {
		return pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}
	
	/**
	 * 判断是否存在订单
	 */
	private String is_order;
	public String getIs_order() {
		return is_order;
	}
	public void setIs_order(String is_order) {
		this.is_order = is_order;
	}
	
}
